<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::TestEventListener Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1TestEventListener.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::TestEventListener Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for testing::TestEventListener:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1TestEventListener__inherit__graph.svg" width="716" height="467"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5f6c84f39851e8a603a2d2e10063816b"><td class="memItemLeft" align="right" valign="top"><a id="a5f6c84f39851e8a603a2d2e10063816b"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestProgramStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test)=0</td></tr>
<tr class="separator:a5f6c84f39851e8a603a2d2e10063816b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60cc09b7907cb329d152eb5e7133bdeb"><td class="memItemLeft" align="right" valign="top"><a id="a60cc09b7907cb329d152eb5e7133bdeb"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestIterationStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test, int iteration)=0</td></tr>
<tr class="separator:a60cc09b7907cb329d152eb5e7133bdeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6502e534919605be45f26a6daf9a40c"><td class="memItemLeft" align="right" valign="top"><a id="aa6502e534919605be45f26a6daf9a40c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsSetUpStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test)=0</td></tr>
<tr class="separator:aa6502e534919605be45f26a6daf9a40c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa1021d75f5dbf3f05c829c1cc520341"><td class="memItemLeft" align="right" valign="top"><a id="aaa1021d75f5dbf3f05c829c1cc520341"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsSetUpEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test)=0</td></tr>
<tr class="separator:aaa1021d75f5dbf3f05c829c1cc520341"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2726cc70dfda861f109355f1d9f09dfe"><td class="memItemLeft" align="right" valign="top"><a id="a2726cc70dfda861f109355f1d9f09dfe"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestSuiteStart</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;)</td></tr>
<tr class="separator:a2726cc70dfda861f109355f1d9f09dfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac48628c9f78d3e10bff77c7366e9e780"><td class="memItemLeft" align="right" valign="top"><a id="ac48628c9f78d3e10bff77c7366e9e780"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseStart</b> (const TestCase &amp;)</td></tr>
<tr class="separator:ac48628c9f78d3e10bff77c7366e9e780"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4f6a0ca16ae75daf385b3b5914e1048"><td class="memItemLeft" align="right" valign="top"><a id="ab4f6a0ca16ae75daf385b3b5914e1048"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestStart</b> (const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> &amp;test_info)=0</td></tr>
<tr class="separator:ab4f6a0ca16ae75daf385b3b5914e1048"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a054f8705c883fa120b91473aff38f2ee"><td class="memItemLeft" align="right" valign="top"><a id="a054f8705c883fa120b91473aff38f2ee"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestPartResult</b> (const TestPartResult &amp;test_part_result)=0</td></tr>
<tr class="separator:a054f8705c883fa120b91473aff38f2ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb1c44525ef038500608b5dc2f17099b"><td class="memItemLeft" align="right" valign="top"><a id="abb1c44525ef038500608b5dc2f17099b"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestEnd</b> (const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> &amp;test_info)=0</td></tr>
<tr class="separator:abb1c44525ef038500608b5dc2f17099b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8962caad5d2522c9160c794074a662ee"><td class="memItemLeft" align="right" valign="top"><a id="a8962caad5d2522c9160c794074a662ee"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestSuiteEnd</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;)</td></tr>
<tr class="separator:a8962caad5d2522c9160c794074a662ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cada1572dde8010b94f6dd237ce52f4"><td class="memItemLeft" align="right" valign="top"><a id="a6cada1572dde8010b94f6dd237ce52f4"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseEnd</b> (const TestCase &amp;)</td></tr>
<tr class="separator:a6cada1572dde8010b94f6dd237ce52f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a468b5e6701bcb86cb2c956caadbba5e4"><td class="memItemLeft" align="right" valign="top"><a id="a468b5e6701bcb86cb2c956caadbba5e4"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsTearDownStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test)=0</td></tr>
<tr class="separator:a468b5e6701bcb86cb2c956caadbba5e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ea04fa7f447865ba76df35e12ba2092"><td class="memItemLeft" align="right" valign="top"><a id="a9ea04fa7f447865ba76df35e12ba2092"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsTearDownEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test)=0</td></tr>
<tr class="separator:a9ea04fa7f447865ba76df35e12ba2092"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a550fdb3e55726e4cefa09f5697941425"><td class="memItemLeft" align="right" valign="top"><a id="a550fdb3e55726e4cefa09f5697941425"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestIterationEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test, int iteration)=0</td></tr>
<tr class="separator:a550fdb3e55726e4cefa09f5697941425"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad15b6246d94c268e233487a86463ef3d"><td class="memItemLeft" align="right" valign="top"><a id="ad15b6246d94c268e233487a86463ef3d"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestProgramEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test)=0</td></tr>
<tr class="separator:ad15b6246d94c268e233487a86463ef3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="gtest_8h_source.html">gtest.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><a class="el" href="classtesting_1_1TestEventListener.html">TestEventListener</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
